package br.mp.mprj.portal.portlet.gestaomensagens.enums;

public enum EstiloTemplateEnum {
	
	CABECALHO_RODAPE(0),
	CORPO(1);
	
	private int estiloId;
	
	EstiloTemplateEnum(int estiloId) {
		this.estiloId = estiloId;
	}
	
	public int getEstiloId() {
		return estiloId;
	}
	
	/**
	 * Retorna o estilo de acordo com o identificador.
	 * @param estiloId
	 * @return {@link EstiloTemplateEnum}, ou null caso nao seja encontrado.
	 */
	public static EstiloTemplateEnum getEstiloTemplateById(int estiloId) {
		for (EstiloTemplateEnum estilo : values()) {
			if (estilo.getEstiloId() == estiloId) {
				return estilo;
			}
		}
		return null;
	}

}
